#include <fstream>
#include <iomanip>

using namespace std;

int main()
{
ifstream fi;
fi.open("sotnn.inp");
int n;
fi>>n;
float sumc=0,suml=0,numc=0,numl=0;
for (int i=1;i<n;i++){
if (i%2==0){sumc+=i;numc++;}
if (i%2==1){suml+=i;numl++;}
}
ofstream fo;
fo.open("sotnn.out");
fo<<sumc<<" ";fo<<fixed<<setprecision(2)<<sumc/numc<<endl;
fo<<setprecision(0)<<suml<<" ";fo<<fixed<<setprecision(2)<<suml/numl<<endl;
fo<<setprecision(0)<<suml+sumc<<" ";fo<<fixed<<setprecision(2)<<(suml+sumc)/(n-1);
}
